pyFAI.gui package
=================

Subpackages
-----------

.. toctree::

    dialog
    helper
    model
    tasks
    utils
    widgets

pyFAI.gui.ApplicationContext module
-----------------------------------

.. automodule:: pyFAI.gui.ApplicationContext
    :members:
    :undoc-members:
    :show-inheritance:

pyFAI.gui.CalibrationContext module
-----------------------------------

.. automodule:: pyFAI.gui.CalibrationContext
    :members:
    :undoc-members:
    :show-inheritance:

pyFAI.gui.CalibrationWindow module
----------------------------------

.. automodule:: pyFAI.gui.CalibrationWindow
    :members:
    :undoc-members:
    :show-inheritance:

pyFAI.gui.IntegrationDialog module
----------------------------------

.. automodule:: pyFAI.gui.IntegrationDialog
    :members:
    :undoc-members:
    :show-inheritance:

pyFAI.gui.cli_calibration module
--------------------------------

.. automodule:: pyFAI.gui.cli_calibration
    :members:
    :undoc-members:
    :show-inheritance:

pyFAI.gui.diffmap_widget module
-------------------------------

.. automodule:: pyFAI.gui.diffmap_widget
    :members:
    :undoc-members:
    :show-inheritance:

pyFAI.gui.jupyter module
------------------------

.. automodule:: pyFAI.gui.jupyter
    :members:
    :undoc-members:
    :show-inheritance:

pyFAI.gui.matplotlib module
---------------------------

.. automodule:: pyFAI.gui.matplotlib
    :members:
    :undoc-members:
    :show-inheritance:

pyFAI.gui.peak_picker module
----------------------------

.. automodule:: pyFAI.gui.peak_picker
    :members:
    :undoc-members:
    :show-inheritance:

pyFAI.gui.setup module
----------------------

.. automodule:: pyFAI.gui.setup
    :members:
    :undoc-members:
    :show-inheritance:


Module contents
---------------

.. automodule:: pyFAI.gui
    :members:
    :undoc-members:
    :show-inheritance:
